How to Install GIMP 2.99.6 (GIMP 3.0 Dev) via PPA in Ubuntu 20.04

September 8, 2021 — Leave a comment

For those don’t like the Flatpak package, here’s how to install GIMP 2.99.6 from PPA in Ubuntu 20.04 LTS.

The popular GIMP image editor is working on the next major 3.0 release. For testing purpose, GIMP 2.99.6 was released as the latest development version. It provides the official Linux package via Flatpak package. However, some users don’t like it, since Flatpak is an universal package format needs separate daemon to run in sandbox.

Install GIMP 3.0 Dev from PPA in Ubuntu 20.04:

For Ubuntu 20.04 and derivatives, e.g, Linux Mint 20 and Zorin OS 16, the unofficial PPA contains the classic .deb package for GIMP 3.0 Dev release.

NOTE: The package in the PPA is unstable. It may have bugs and used only for testing purpose. Installing GIMP from this PPA will override the 2.10 stable release, don’t install it on production machine.

1. Add the PPA.

Press Ctrl+Alt+T on keyboard to open terminal, or search for and open terminal from start menu if you’re on Linux Mint or ZorinOS.

When terminal opens, copy and paste the command below and hit Run to add the PPA:

sudo add-apt-repository ppa:mati75/gimp30

Type your password as sudo command need user authentication, and hit Enter to continue.

2. Update package cache

Since Ubuntu 20.04, it updates the system package cache automatically while adding Ubuntu PPAs, However, Linux Mint 20 does not. So you may need to manually run command in terminal to update cache:

sudo apt update

3. Install / Upgrade to GIMP 3.0 Dev

Finally, you can either open Software Updater (Update Manager) to install or upgrade the GIMP package, or run command in terminal instead:

sudo apt install gimp gegl

Revert to GIMP 2.10 Stable:

It’s possible to downgrade the image editor back to 2.10 stable release, 2.10.18 if no other relevant PPA added.

Simply open terminal and run the command below to install the ppa-purge package, and then purge the Ubuntu PPA which will remove it as well as downgrade installed packages:

sudo apt install ppa-purge && sudo ppa-purge ppa:mati75/gimp30

That’s all. Enjoy!

Twitter

I'm a freelance blogger who started using Ubuntu in 2007 and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me via [email protected]

No Comments

Be the first to start the conversation.

Leave a Reply

Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> 

*

This site uses Akismet to reduce spam. Learn how your comment data is processed.